2280f FreeBSD LiveCD - The FreeBSD Forums
The FreeBSD Forums  

Go Back   The FreeBSD Forums > Development > FreeBSD Development

FreeBSD Development Kernel development, writing drivers, coding, and questions regarding FreeBSD internals.

Reply
 
Thread Tools Display Modes
  #1  
Old November 22nd, 2008, 20:19
sai sai is offline
Junior Member
 
Join Date: Nov 2008
Posts: 11
Thanks: 0
Thanked 0 Times in 0 Posts
Default FreeBSD LiveCD

Hi,

Is there an official (and as simple as possible) script that can build a customized FreeBSD 7.0 LiveCD system?

Thanks.
Reply With Quote
  #2  
Old November 23rd, 2008, 01:15
danger@'s Avatar
danger@ danger@ is offline
FreeBSD Developer
 
Join Date: Oct 2007
Location: Bratislava, Slovakia
Posts: 774
Thanks: 4
Thanked 167 Times in 84 Posts
Default

mfsBSD, developed by my friend, is very cool tool:
http://people.freebsd.org/~mm/mfsbsd/

There are also other options, to name one: http://www.freesbie.org/.

And I think http://www.desktopbsd.net/ has a live system as well (not sure though).
__________________
Looking for administrator? http://www.syscare.sk
Reply With Quote
The Following User Says Thank You to danger@ For This Useful Post:
hitest (November 23rd, 2008)
  #3  
Old November 23rd, 2008, 01:32
hitest's Avatar
hitest hitest is offline
Member
 
Join Date: Nov 2008
Location: B.C., Canada
Posts: 174
Thanks: 45
Thanked 12 Times in 12 Posts
Cool

Quote:
Originally Posted by danger@ View Post

And I think http://www.desktopbsd.net/ has a live system as well (not sure though).
Thanks for the link Just read through the documentation and it does have live functionality.
__________________
hitest
Reply With Quote
  #4  
Old November 23rd, 2008, 03:14
Oko's Avatar
Oko Oko is offline
Member
 
Join Date: Nov 2008
Location: Kosovo, Srbija
Posts: 326
Thanks: 27
Thanked 66 Times in 49 Posts
Default

Quote:
Originally Posted by sai View Post
Hi,

Is there an official (and as simple as possible) script that can build a customized FreeBSD 7.0 LiveCD system?

Thanks.
You have FreeSBIE tools in ports. FreeSBIE was and still is my
favorite live FreeBSD distro.
Reply With Quote
  #5  
Old November 23rd, 2008, 21:04
tingo tingo is offline
Member
 
Join Date: Nov 2008
Location: Oslo, Norway
Posts: 840
Thanks: 138
Thanked 87 Times in 69 Posts
Default

HeX is also built with the FreeSBIE tools.
__________________
Torfinn
Reply With Quote
  #6  
Old November 23rd, 2008, 21:09
tingo tingo is offline
Member
 
Join Date: Nov 2008
Location: Oslo, Norway
Posts: 840
Thanks: 138
Thanked 87 Times in 69 Posts
Default

Another LiveCD is wifiBSD.
__________________
Torfinn
Reply With Quote
  #7  
Old November 24th, 2008, 09:33
UNIXgod's Avatar
UNIXgod UNIXgod is offline
Senior Member
 
Join Date: Nov 2008
Location: pwd
Posts: 1,089
Thanks: 112
Thanked 194 Times in 158 Posts
Default

Looking to build a nice rescue cd/dvd or even thumb drive.

Does anyone have any info how to do it? I was playing with tinybsd with no luck.
Reply With Quote
  #8  
Old November 24th, 2008, 18:48
tingo tingo is offline
Member
 
Join Date: Nov 2008
Location: Oslo, Norway
Posts: 840
Thanks: 138
Thanked 87 Times in 69 Posts
Default

I have used the iso2img.sh script (described here) with some success to convert FreeBSD install iso images to a binary image that can be dd'ed to a usb flash drive. For some reason the livefs image didn't work.
__________________
Torfinn
Reply With Quote
  #9  
Old November 24th, 2008, 20:52
Oko's Avatar
Oko Oko is offline
Member
 
Join Date: Nov 2008
Location: Kosovo, Srbija
Posts: 326
Thanks: 27
Thanked 66 Times in 49 Posts
Default

Quote:
Originally Posted by tingo View Post
I have used the iso2img.sh script (described here) with some success to convert FreeBSD install iso images to a binary image that can be dd'ed to a usb flash drive. For some reason the livefs image didn't work.
That is because USB has nothing to do with iso images for CD-ROM. USB
is for boot purposes the same thing as floppy disk although after the boot
the kernel sees it as SCSI HD. It is not very hard to use images of the bootable floppies and additional installation sets to crate the bootable USB. To create live USB is little bit more difficult but nothing complicated.

I am not sure if UNetBootin http://unetbootin.sourceforge.net/
is ported to FreeBSD but that would be the easiest way to create live USB with FreeBSD. If you want to learn just google OpenBSD +live USB and there are lots of posts OpenBSD users about this topic and how the thing can be done.
Reply With Quote
  #10  
Old November 30th, 2008, 00:14
malcarada malcarada is offline
Junior Member
 
Join Date: Nov 2008
Location: European Union
Posts: 2
Thanks: 1
Thanked 0 Times in 0 Posts
Default

Frenzy is based on FreeBSD too, in case is of any help:

Frenzy

And TrueBSD, live DVD:

TrueBSD
Reply With Quote
  #11  
Old December 9th, 2008, 00:09
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

Quote:
Originally Posted by malcarada View Post
Frenzy is based on FreeBSD too, in case is of any help:

Frenzy
Yesterday a new version has been released.
Sadly it's the final one.
http://frenzy.org.ua/en/releases/1.1/download.shtml
Reply With Quote
  #12  
Old January 9th, 2009, 00:55
morbit morbit is offline
Member
 
Join Date: Jan 2009
Location: Poland
Posts: 176
Thanks: 19
Thanked 17 Times in 16 Posts
Default

There was also WarBSD.
Reply With Quote
  #13  
Old January 9th, 2009, 01:00
morbit morbit is offline
Member
 
Join Date: Jan 2009
Location: Poland
Posts: 176
Thanks: 19
Thanked 17 Times in 16 Posts
Default

http://warbsd.eurisko.ws/
Reply With Quote
  #14  
Old January 9th, 2009, 20:09
ericturgeon's Avatar
ericturgeon ericturgeon is offline
Member
 
Join Date: Dec 2008
Location: Dieppe NB Canada
Posts: 335
Thanks: 65
Thanked 42 Times in 23 Posts
Default

we have http://www.rofreesbie.org/ to:
Reply With Quote
  #15  
Old February 21st, 2009, 09:58
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default livecd script

hi,
thx for this topic.
i am looking for a set of script for fbsd (7.1) forcreate a custom livecd.
I thought to use freesbie (specially because i ve been part of the project) but the new fersion freesbie2 fails.
i ve also found in sysutils a livecd port, but it seems obsolete and jsut fail directly.
i used to be a fbsd user (branch 4.1 - > 5) and now it seems i am out of date with the 7.1 branch.
Is there a tool that exist for create livecd for ver 7.1 ?
best rgeards
thx for helping
Reply With Quote
  #16  
Old February 21st, 2009, 10:16
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

Quote:
Originally Posted by nocomp View Post
I thought to use freesbie (specially because i ve been part of the project) but the new fersion freesbie2 fails.
Where does it fail?
Can this thread be of any help?
Reply With Quote
The Following User Says Thank You to ale For This Useful Post:
nocomp (February 21st, 2009)
  #17  
Old February 21st, 2009, 10:32
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default

hi,
it seems i have the same prob, i ve delete log files.
i gonna rerun a freesbie session.
in what file do you comment this option?
thx for your time
best regards
Reply With Quote
  #18  
Old February 21st, 2009, 10:38
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

Quote:
Originally Posted by nocomp View Post
in what file do you comment this option?
I think that the file you have to edit is /usr/local/share/freesbie/conf/i386/FREESBIE
Reply With Quote
The Following User Says Thank You to ale For This Useful Post:
nocomp (February 21st, 2009)
  #19  
Old February 21st, 2009, 10:46
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default

thx a lot, i ll check that
have a good week end!
best regards
Reply With Quote
  #20  
Old February 23rd, 2009, 09:34
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default when a bug chase another one

thxx a lt for your advice ale, it worked.
but now i am facing another bug :'( freesbie 1.* was far less worry :'( would like to know why they changed it all
here is my error log in case you have any ideas:

#### Building kernel for i386 architecture ####
>>> Kernel build for FREESBIE started on Sun Feb 22 22:15:23 UTC 2009
>>> stage 1: configuring the kernel
>>> stage 2.1: cleaning up the object tree
>>> stage 2.2: rebuilding the object tree
>>> stage 2.3: build tools
>>> stage 3.1: making dependencies
>>> stage 3.2: building everything
>>> Kernel build for FREESBIE completed on Sun Feb 22 23:37:10 UTC 2009
#### Installing world for i386 architecture ####
>>> Making hierarchy
>>> Installing everything
#### Installing kernel for i386 architecture ####
>>> Installing kernel
#### Running plugins ####
-> customroot
Copying content of extra/customroot directory to the livefs
-> installports
Mounting ports' tree in the livefs chroot
mount_devfs: not found
*** Error code 127

Stop in /usr/local/share/freesbie.
shackbox#



thxxx for helping
best regards
Reply With Quote
  #21  
Old February 23rd, 2009, 13:55
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

Can you try replacing mount_devfs with mount -t devfs in/usr/local/share/freesbie/extra/installports.sh ?
Reply With Quote
  #22  
Old February 23rd, 2009, 14:03
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default

hummmmm
i just followed your advice, this is what i got now
shackbox# make iso
#### Running plugins ####
-> customroot
Copying content of extra/customroot directory to the livefs
-> installports
Mounting ports' tree in the livefs chroot
mount_nullfs: Resource deadlock avoided
*** Error code 1

Stop in /usr/local/share/freesbie.
shackbox#


here is the file i ve mod

--------------------------------------------

#!/bin/sh
#
# Copyright (c) 2005 Dario Freni
#
# See COPYING for licence terms.
#
# $FreeBSD$
# $Id: installports.sh,v 1.4 2007/01/04 18:28:56 saturnero Exp $
#
# Remount the ports' tree under ${BASEDIR}/usr/ports and install ports
# listed in the INSTALL_PORTS variable in the usual category/portname
# form, e.g.: x11/nvidia-driver audio/emu10kx ...

set -e -u

if [ -z "${LOGFILE:-}" ]; then
echo "This script can't run standalone."
echo "Please use launch.sh to execute it."
exit 1
fi

INSTALL_PORTS=${INSTALL_PORTS:-}

if [ ! -z "${INSTALL_PORTS}" ]; then
echo "Mounting ports' tree in the livefs chroot"
set +e
if ! kldstat -v | grep -q nullfs; then
if ! kldload nullfs; then
echo "Cannot find nullfs support in kernel and cannot find the proper module, aborting"
exit 1
fi
fi
set -e

mkdir -p ${BASEDIR}/usr/ports ${BASEDIR}/usr/src
mount_nullfs ${PORTSDIR:-/usr/ports} ${BASEDIR}/usr/ports
mount_nullfs ${SRCDIR:-/usr/src} ${BASEDIR}/usr/src
mount -t devfs none ${BASEDIR}/dev

print_error_umount() {
echo "Something went wrong, check errors!" >&2
[ -n "${LOGFILE:-}" ] && \
echo "Log saved on ${LOGFILE}" >&2
umount_null
kill $$ # XXX exit 1 won't work.
}

umount_null() {
umount ${BASEDIR}/usr/ports;
umount ${BASEDIR}/usr/src;
umount ${BASEDIR}/dev;
}

trap "umount_null; exit 1" INT

tmpmakeconf=$(TMPDIR=${BASEDIR}/tmp mktemp -t make.conf)
envvars="BATCH=true"
if [ ! -z "${MAKE_CONF:-}" ]; then
cat ${MAKE_CONF} > ${tmpmakeconf}
envvars="${envvars} __MAKE_CONF=${tmpmakeconf#$BASEDIR}"
fi

for i in ${INSTALL_PORTS}; do
echo "Compiling ${i}"
(script -aq ${LOGFILE} chroot ${BASEDIR} make -C /usr/ports/${i} \
${envvars} clean install clean || print_error_umount | grep '^===>'
done

umount_null
trap "" INT
fi

cd ${LOCALDIR}
------------------------------------------


thxx a lot for your time.
best regards
Reply With Quote
  #23  
Old February 23rd, 2009, 14:13
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

What is the output of mount?
Maybe something has been mounted by the previous run but, as it failed, it has not been umounted?
Reply With Quote
  #24  
Old February 23rd, 2009, 14:17
nocomp nocomp is offline
Junior Member
 
Join Date: Feb 2009
Posts: 15
Thanks: 2
Thanked 0 Times in 0 Posts
Default

dunno if it exactly what you wanted but here are the lines:
shackbox# mount -t devfs /usr/ports/ /dev
shackbox# umount /ev
umount: /ev: statfs: No such file or directory
umount: /ev: unknown file system
shackbox# umount /dev
shackbox#


best regards
Reply With Quote
  #25  
Old February 23rd, 2009, 14:22
ale's Avatar
ale ale is offline
Senior Member
 
Join Date: Nov 2008
Location: Roma
Posts: 1,064
Thanks: 0
Thanked 160 Times in 146 Posts
Default

Quote:
Originally Posted by nocomp View Post
dunno if it exactly what you wanted
Just type mount and press enter.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +1. The time now is 13:36.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2013, vBulletin Solutions, Inc.
The mark FreeBSD is a registered trademark of The FreeBSD Foundation and is used by The FreeBSD Project with the permission of The FreeBSD Foundation.
Web protection and acceleration provided by CloudFlare
0